package com.cm.common.pojo.bos;

import java.io.Serializable;

/**
 * @ClassName: RoleMenuBO
 * @Description: 角色菜单
 * @Author: WangGeng
 * @Date: 2019-06-08 19:43
 * @Version: 1.0
 **/
public class RoleMenuBO implements Serializable {

    private static final long serialVersionUID = 2341873646895943250L;
    private String roleId;
    private String roleType;
    private String menuId;
    private String apiPrefix;
    private String resourcePrefix;
    private String routePrefix;
    private String menuUrl;

    public String getRoleId() {
        return roleId == null ? "" : roleId.trim();
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getRoleType() {
        return roleType == null ? "" : roleType.trim();
    }

    public void setRoleType(String roleType) {
        this.roleType = roleType;
    }

    public String getMenuId() {
        return menuId == null ? "" : menuId.trim();
    }

    public void setMenuId(String menuId) {
        this.menuId = menuId;
    }

    public String getApiPrefix() {
        return apiPrefix == null ? "" : apiPrefix.trim();
    }

    public void setApiPrefix(String apiPrefix) {
        this.apiPrefix = apiPrefix;
    }

    public String getResourcePrefix() {
        return resourcePrefix == null ? "" : resourcePrefix.trim();
    }

    public void setResourcePrefix(String resourcePrefix) {
        this.resourcePrefix = resourcePrefix;
    }

    public String getRoutePrefix() {
        return routePrefix == null ? "" : routePrefix.trim();
    }

    public void setRoutePrefix(String routePrefix) {
        this.routePrefix = routePrefix;
    }

    public String getMenuUrl() {
        return menuUrl == null ? "" : menuUrl;
    }

    public void setMenuUrl(String menuUrl) {
        this.menuUrl = menuUrl;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"roleId\":\"")
                .append(roleId).append('\"');
        sb.append(",\"roleType\":\"")
                .append(roleType).append('\"');
        sb.append(",\"menuId\":\"")
                .append(menuId).append('\"');
        sb.append(",\"apiPrefix\":\"")
                .append(apiPrefix).append('\"');
        sb.append(",\"resourcePrefix\":\"")
                .append(resourcePrefix).append('\"');
        sb.append(",\"routePrefix\":\"")
                .append(routePrefix).append('\"');
        sb.append(",\"menuUrl\":\"")
                .append(menuUrl).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
